Name:		qubes-u2f
Version:	1.2.9
Release:	1%{?dist}
Summary:	Qubes OS U2F proxy

Group:		Qubes
License:	GPL2+
URL:		https://github.com/QubesOS/qubes-app-u2f
Source0:    %{name}-%{version}.tar.gz

BuildArch:  noarch
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
%{?systemd_requires}
BuildRequires:  make
BuildRequires:  systemd

Requires:	python%{python3_pkgversion}
Requires:	python%{python3_pkgversion}-u2flib-host

%description
Qubes OS U2F proxy

%prep
%setup -q

%build
make PYTHON=%{__python3}
make -C Documentation man SPHINXBUILD=sphinx-build-%{python3_version}

%install
make install \
    UNITDIR=%{_unitdir} \
    UDEVRULESDIR=%{_udevrulesdir} \
    DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3}

make -C Documentation install \
	MANDIR=%{_mandir} \
    DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3}

%post
%systemd_post qubes-u2fproxy.service

%preun
%systemd_preun qubes-u2fproxy.service

%postun
%systemd_postun_with_restart qubes-u2fproxy.service

%files
%doc
%{_mandir}/man1/qu2f-*.1*
%{_mandir}/man8/qu2f-*.8*

%{_bindir}/qu2f-*
%{_bindir}/u2fdump
%{_sysconfdir}/qubes-rpc/u2f.Register
%{_sysconfdir}/qubes-rpc/u2f.Authenticate
%{_sysconfdir}/qubes/post-install.d/30-qubes-u2f.sh

%{_presetdir}/75-qubes-u2fproxy.preset
%{_unitdir}/qubes-u2fproxy@.service
%{_unitdir}/qubes-u2fproxy.service
%{_udevrulesdir}/60-qu2f-hidraw.rules

%{python3_sitelib}/qubesu2f-%{version}-*.egg-info

%{python3_sitelib}/qubesu2f/__init__.py
%{python3_sitelib}/qubesu2f/__pycache__/*
%{python3_sitelib}/qubesu2f/const.py
%{python3_sitelib}/qubesu2f/hidemu.py
%{python3_sitelib}/qubesu2f/proto.py
%{python3_sitelib}/qubesu2f/uhid.py
%{python3_sitelib}/qubesu2f/util.py

%{python3_sitelib}/qubesu2f/tests/__init__.py
%{python3_sitelib}/qubesu2f/tests/__pycache__/*
%{python3_sitelib}/qubesu2f/tests/browser.py
%{python3_sitelib}/qubesu2f/tests/conformance.py
%{python3_sitelib}/qubesu2f/tests/qu2f_authenticate.py
%{python3_sitelib}/qubesu2f/tests/qu2f_proxy.py
%{python3_sitelib}/qubesu2f/tests/u2f_support_add_on-1.0.1-fx-linux.xpi

%{python3_sitelib}/qubesu2f/tools/__init__.py
%{python3_sitelib}/qubesu2f/tools/__pycache__/*
%{python3_sitelib}/qubesu2f/tools/qu2f_authenticate.py
%{python3_sitelib}/qubesu2f/tools/qu2f_proxy.py
%{python3_sitelib}/qubesu2f/tools/qu2f_register.py
%{python3_sitelib}/qubesu2f/tools/u2fdump.py
